Lingxing
切换旧版

批量更新货件名称

POST/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatch

支持批量更新 STA 货件名称。

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatchHTTPSPOST1

请求参数

inboundShipmentNameReqListarray<object>必填
待更新货件名称的列表
隐藏子属性
sidinteger必填
店铺 ID
shipmentConfirmationIdstring必填
货件编号
shipmentNamestring必填
货件名称

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatch?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundShipmentNameReqList": [
        {
            "sid": 123456,
            "shipmentConfirmationId": "FBA17XXXXXXX",
            "shipmentName": "new shipment name"
        },
        {
            "sid": 123456,
            "shipmentConfirmationId": "FBA18XXXXXXX",
            "shipmentName": "another shipment name"
        }
    ]
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路 ID
示例 a0d54debf93140f3b58d1ed81e8e3583
response_timestring必填
响应时间
示例 2026-09-17 12:00:00
dataobject必填
响应数据
隐藏子属性
successNuminteger必填
修改成功数量
示例 1
failNuminteger必填
修改失败数量
示例 1
resultListarray<object>必填
结果列表
隐藏子属性
sidinteger必填
店铺 SID
示例 123456
shipmentConfirmationIdstring必填
货件编码
示例 FBA17XXXXXXX
shipmentNamestring必填
货件名称
示例 new shipment name
successboolean必填
是否修改成功
示例 true
errorMsgstring必填
修改失败错误信息
示例 null

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583",
    "response_time": "2026-09-17 12:00:00",
    "data": {
        "successNum": 1,
        "failNum": 1,
        "resultList": [
            {
                "sid": 123456,
                "shipmentConfirmationId": "FBA17XXXXXXX",
                "shipmentName": "new shipment name",
                "success": true,
                "errorMsg": null
            },
            {
                "sid": 123456,
                "shipmentConfirmationId": "FBA18XXXXXXX",
                "shipmentName": "another shipment name",
                "success": false,
                "errorMsg": "未找到当前货件"
            }
        ]
    }
}